- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axutil_md5.h File Reference

MD5 Implementation for Axis2 based on rfc1321. More...

`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`

Go to the source code of this file.

## Classes
struct | axutil_md5_ctx
## Defines
#define | AXIS2_MD5_DIGESTSIZE 16
## Typedefs
typedef struct axutil_md5_ctx | axutil_md5_ctx_t
## Functions
AXIS2_EXTERN axutil_md5_ctx_t * | axutil_md5_ctx_create (const axutil_env_t *env)
AXIS2_EXTERN void | axutil_md5_ctx_free (axutil_md5_ctx_t *md5_ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axutil_md5_update (axutil_md5_ctx_t *context, const axutil_env_t *env, const void *input_str, size_t inputLen)
AXIS2_EXTERN axis2_status_t | axutil_md5_final (axutil_md5_ctx_t *context, const axutil_env_t *env, unsigned char digest[AXIS2_MD5_DIGESTSIZE])
AXIS2_EXTERN axis2_status_t | axutil_md5 (const axutil_env_t *env, unsigned char digest[AXIS2_MD5_DIGESTSIZE], const void *input_str, size_t inputLen)

## Detailed Description

MD5 Implementation for Axis2 based on rfc1321.